Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.LowLightEnhanceOptions Class Reference

## Public Member Functions
| LowLightEnhanceOptions (int mode, int level)

## Public Attributes
int | lowlightEnhanceMode
int | lowlightEnhanceLevel

## Static Public Attributes
static final int | LOW_LIGHT_ENHANCE_AUTO = 0
static final int | LOW_LIGHT_ENHANCE_MANUAL = 1
static final int | LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY = 0
static final int | LOW_LIGHT_ENHANCE_LEVEL_FAST = 1

## Detailed Description

The low-light enhancement options.

Since
  v3.6.2

## Member Data Documentation

## ◆ LOW_LIGHT_ENHANCE_AUTO

final int io.agora.rtc2.video.LowLightEnhanceOptions.LOW_LIGHT_ENHANCE_AUTO = 0
| static

`0`: (Default) Automatic mode. The SDK automatically enables or disables the low-light enhancement feature according to the ambient light to compensate for the lighting level or prevent overexposure, as necessary.

## ◆ LOW_LIGHT_ENHANCE_MANUAL

final int io.agora.rtc2.video.LowLightEnhanceOptions.LOW_LIGHT_ENHANCE_MANUAL = 1
| static

`1`: Manual mode. Users need to enable or disable the low-light enhancement feature manually.

## ◆ LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY

final int io.agora.rtc2.video.LowLightEnhanceOptions.LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY = 0
| static

`0`: (Default) Promotes video quality during low-light enhancement. It processes the brightness, details, and noise of the video image. The performance consumption is moderate, the processing speed is moderate, and the overall video quality is optimal.

## ◆ LOW_LIGHT_ENHANCE_LEVEL_FAST

final int io.agora.rtc2.video.LowLightEnhanceOptions.LOW_LIGHT_ENHANCE_LEVEL_FAST = 1
| static

`1`: Promotes performance during low-light enhancement. It processes the brightness and details of the video image. The processing speed is faster.

## ◆ lowlightEnhanceMode

int io.agora.rtc2.video.LowLightEnhanceOptions.lowlightEnhanceMode

The low-light enhancement mode:

- LOW_LIGHT_ENHANCE_AUTO(0): (Default) Automatic mode. The SDK automatically enables or disables the low-light enhancement feature according to the ambient light to compensate for the lighting level or prevent overexposure, as necessary.
- LOW_LIGHT_ENHANCE_MANUAL(1): Manual mode. Users need to enable or disable the low-light enhancement feature manually.

## ◆ lowlightEnhanceLevel

int io.agora.rtc2.video.LowLightEnhanceOptions.lowlightEnhanceLevel

The low-light enhancement level:

- LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY(0): (Default) Promotes video quality during low-light enhancement. It processes the brightness, details, and noise of the video image. The performance consumption is moderate, the processing speed is moderate, and the overall video quality is optimal.
- LOW_LIGHT_ENHANCE_LEVEL_FAST(1): Promotes performance during low-light enhancement. It processes the brightness and details of the video image. The processing speed is faster.